<!-- Related -->
<hr>
<div style="padding-left: 50px; padding-top: 1px; padding-bottom: 1px;
border-top: 1px solid #dddddd; border-left: 1px solid #dddddd;border-right: 3px solid #dddddd; border-bottom: 3px solid #dddddd; background-color: #f2f2f2;
 background-color: #f2f2f2;
border-radius: 20px;">
  <h4><i class="far fa-star"></i> Related Posts:</h4>
  <ul>
    {{ $page_link := .Permalink }}
    {{ $categories := .Params.categories }}
    {{ range $page := .Site.Pages }}
      {{ $has_common_categories := intersect $categories .Params.categories | len | lt 0 }}
      {{ if and $has_common_categories (ne $page_link $page.Permalink) (lt ($.Scratch.Get "$c") 3)}}
        {{ $.Scratch.Add "$c" 1 }}
        <li class="relatedposts"><h4><a href="{{ $page.Permalink }}"><i class="fas fa-link"></i> {{ $page.Title }}</a></h4></li>
      {{ end }}
    {{ end }}
  </ul>
</div>
<hr>
<!-- /Related -->
